// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package member

import (
	"net/http"

	"haixun-backend/internal/logic/member"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func GetMemberPlacementSettingsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := member.NewGetMemberPlacementSettingsLogic(r.Context(), svcCtx)
		data, err := l.GetMemberPlacementSettings()
		response.Write(r.Context(), w, data, err)
	}
}
